textures/dkzs/nebula1_purple_lightning
{
	qer_editorimage textures/dkzs/sparse_purple_nebula.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_sun 0.968628 0.0999 0.333333 200 180 80
	skyParms env/dkzs/purewhitej 1200 -
	{
		map textures/dkzs/circlegradlightningblur2.tga
		blendfunc add
		rgbGen wave noise 0 1 0 10 
		tcMod scale 0.32 0.32
		tcMod rotate -20
	}
	{
		map textures/dkzs/sparse_purple_nebula.tga
		blendfunc filter
		tcMod scroll 0.05 0.06
	}
}

textures/dkzs/lava
{
    qer_editorImage textures/dkzs/q3a_lava_fg.tga
    qer_nocarve
    q3map_globalTexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 375
    q3map_tessSize 96
    cull disable

	fogparms ( 1 0.415686 0 ) 1024

    {
        map textures/dkzs/q3a_lava_bg.jpg
        tcMod scale 0.10 0.10
        tcMod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map textures/dkzs/q3a_lava_fg.tga
        blendFunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/dkzs/lavacaulk
{
    qer_trans 0.5
    qer_nocarve
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nodraw
    surfaceparm nolightmap
}

textures/dkzs/lavaground
{
    q3map_lightImage textures/dkzs/lava_sfx.tga
    qer_editorImage textures/dkzs/lava.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/dkzs/lava.tga
        blendFunc filter
    }
    {
        map textures/dkzs/lava_sfx.tga
        blendFunc add
        rgbGen wave sin 0.15 0.08 0 0.6
    }
}

textures/dkzs/camera
{
    qer_editorImage textures/dkzs/camera_clear.jpg
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    {
        map textures/dkzs/camera_clear.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }
    {
        map textures/dkzs/q3a_camera_fog.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen portal 256
        rgbGen identityLighting
        tcMod rotate 20
        tcMod scroll 0.05 0.2
    }
}

textures/dkzs/gkcspinemove
{
	qer_editorimage textures/dkzs/gkc17d.tga
	tessSize 128
//	deformVertexes wave 100 sin 3 2 0 0.3
	deformVertexes bulge 3 10 1
	q3map_surfacelight 20
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dkzs/gkc17d.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
	
}

textures/dkzs/spiderbit
{
	q3map_lightimage textures/dkzs/spiderbit_fx.tga
	q3map_surfacelight 200
	
        {
		map $lightmap
		rgbGen identity
	}
        {
		map textures/dkzs/spiderbit.tga
		blendfunc gl_dst_color gl_zero
                rgbGen identity
	}	
        {
		map textures/dkzs/spiderbit_fx.tga
		blendfunc GL_ONE GL_ONE
                rgbgen wave triangle .1 .5 0 7
	}
    	
}

textures/spkat3/brushrockdark
{

qer_editorimage textures/spkat3/rocks_5b.tga
q3map_forceMeta
q3map_clipModel
// q3map_shadeAngle 179 //* see note below
q3map_nonPlanar
// surfaceparm gravelsteps // optional

{
map $lightmap
rgbGen identity
}

{
map textures/spkat3/rocks_5b.tga
blendFunc GL_DST_COLOR GL_ZERO
rgbGen identity
// tcMod scale 0.7 0.7 //optional scales a texture so it repeats X times (smaller or larger than default texture size)
}
}

